Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61815 - [zbar-gtk] [python2-zbar] conflicting files with zbar split package

Attached to Project: Community Packages
Opened by Alex Seiler (aexl) - Wednesday, 20 February 2019, 05:20 GMT
Last edited by Felix Yan (felixonmars) - Thursday, 21 February 2019, 19:31 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 11
Private No

Details

Description: Doing a system update with "sudo pacman -Syu" results in a failure:

error: failed to commit transaction (conflicting files)
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar' and 'zbar-gtk'
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar' and 'python2-zbar'
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar-gtk' and 'python2-zbar'
Errors occurred, no packages were upgraded.

pacman wants to update zbar, python2-zbar and zbar-gtk, so the problem could also affect python2-zbar and zbar-gtk.


Additional info:
* package version(s): zbar-0.21-1, zbar-gtk-0.21-1, python2-zbar-0.21-1


Steps to reproduce:
This task depends upon

Closed by  Felix Yan (felixonmars)
Thursday, 21 February 2019, 19:31 GMT
Reason for closing:  Fixed
Additional comments about closing:  0.21-2
Comment by Eli Schwartz (eschwartz) - Wednesday, 20 February 2019, 17:51 GMT
Should be an issue when trying to build the package too? The packages are codependent, so when you try installing them in a clean chroot you get this:

$ arch-nspawn /var/lib/archbuild/extra-x86_64/eschwartz pacman -S python2-zbar
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency

Packages (61) atk-2.30.0-1 avahi-0.7+18+g1b5f401-1 cairo-1.16.0-2 desktop-file-utils-0.23+4+g92af410-1 fontconfig-2:2.13.1+12+g5f5ec56-1
freetype2-2.9.1-1 fribidi-1.0.5-1 gdk-pixbuf2-2.38.0-1 graphite-1:1.3.13-1 gtk-update-icon-cache-3.24.5-1 gtk2-2.24.32-1
harfbuzz-2.3.1-2 hicolor-icon-theme-0.17-1 jasper-2.0.14-1 lcms2-2.9-1 libcups-2.2.10-2 libdaemon-0.14-4 libdatrie-0.2.12-1
libglade-2.6.4-6 libice-1.0.9-2 libjpeg-turbo-2.0.2-1 liblqr-0.4.2-2 libmagick-7.0.8.28-1 libnsl-1.2.0-1 libpng-1.6.36-1
libraqm-0.5.0-1 librsvg-2:2.44.13-1 libsm-1.2.3-1 libthai-0.1.28-1 libtiff-4.0.10-1 libx11-1.6.7-1 libxau-1.0.9-1
libxcb-1.13.1-1 libxcomposite-0.4.4-3 libxcursor-1.1.15-1 libxdamage-1.1.4-3 libxdmcp-1.1.2-2 libxext-1.3.3-2 libxfixes-5.0.3-2
libxft-2.3.2-2 libxi-1.7.9-2 libxinerama-1.1.4-1 libxrandr-1.5.1-2 libxrender-0.9.10-2 libxv-1.0.11-2 lzo-2.10-2
pango-1:1.42.4-1 pixman-0.38.0-2 pygobject2-devel-2.28.7-2 pygtk-2.24.0-8 python2-2.7.15-4 python2-cairo-1.18.0-1
python2-gobject2-2.28.7-2 shared-mime-info-1.12-1 sysfsutils-2.1.0-10 v4l-utils-1.16.3-1 xcb-proto-1.13-2 xorgproto-2018.4-1
zbar-0.21-1 zbar-gtk-0.21-1 python2-zbar-0.21-1

Total Installed Size: 195.71 MiB

:: Proceed with installation? [Y/n]
(61/61) checking keys in keyring [####################################################] 100%
(61/61) checking package integrity [####################################################] 100%
(61/61) loading package files [####################################################] 100%
(61/61) checking for file conflicts [####################################################] 100%
error: failed to commit transaction (conflicting files)
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar' and 'zbar-gtk'
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar' and 'python2-zbar'
/etc/dbus-1/system.d/org.linuxtv.Zbar.conf exists in both 'zbar-gtk' and 'python2-zbar'
Errors occurred, no packages were upgraded.
Comment by Oracle Speaks (test0987654321) - Thursday, 21 February 2019, 11:26 GMT
This is happening with the zbar-qt package as well.

Loading...